package models

import "time"

type Problem struct {
	Id              *int32     `db:"id"`
	Title           *string    `db:"title"`
	Content         *string    `db:"content"`
	TimeLimit       *int32     `db:"time_limit"`
	MemoryLimit     *int32     `db:"memory_limit"`
	TestingStrategy *int32     `db:"testing_strategy"`
	TestingOrder    *string    `db:"testing_order"`
	CreatedAt       *time.Time `db:"created_at"`
	UpdatedAt       *time.Time `db:"updated_at"`
}
